* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Roboto Slab", 'Arial Narrow', Arial, sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

/* GENERAL */
:root {
    --main-color: rgb(0, 120, 120);
}
.over::-webkit-scrollbar,
.tablediv::-webkit-scrollbar,
.cutbone::-webkit-scrollbar,
.cutbtwo::-webkit-scrollbar,
.exright::-webkit-scrollbar,
.wright::-webkit-scrollbar {
    width: 2px;
    height: 9px;
}

.over::-webkit-scrollbar-thumb,
.tablediv::-webkit-scrollbar-thumb ,
.cutbone::-webkit-scrollbar-thumb,
.cutbtwo::-webkit-scrollbar-thumb,
.exright::-webkit-scrollbar-thumb,
.wright::-webkit-scrollbar-thumb {    
    background-color: var(--main-color);
    border-radius: 5px;
}
#body {
    width: 100%;
    height: 92vh;
    background: linear-gradient(145deg, white, var(--main-color));
    padding: 1px;
}

.red {
    color: red;
}

.black {
    color: black;
}

.blue {
    color: blue;
}

.white {
    color: white;
}

.left {
    text-align: left;
}

.right {
    text-align: right;
}

.center {
    text-align: center;
}

.italic {
    font-style: italic;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.df {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.ok {
    text-align: center;
    font-size: 12px;
}

p {
    font-size: 12px;
    font-weight: initial;
}

a {
    text-decoration: none;
    cursor: pointer;
    color: white;
}

a:hover {
    color: blue;
}

span {
    width: 100%;
    display: inline-block;
    color: red;
    text-align: center;
    font-size: 12px;
    background-color: white;
    border: 1px solid var(--main-color);
    border-radius: 5px;
    padding: 7px 0 3px 0;
    font-weight: 700;
}

.aa {
    border-radius: 5px;
    margin-top: 5px;
    display: flex;
    justify-content: space-between;
    overflow: hidden;
    border: 1px solid black;
    height: 30px;
}

.aa label {
    width: 35%;
    padding: 5px 10px;
    font-size: 10px;
    background-color: var(--main-color);
    color: whitesmoke;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

.aa input {
    width: 65%;
    padding: 5px 10px;
    border: none;
    outline: none;
}

.aa input:focus {
    outline: none;
    border: 1px solid blue;
    border-radius: 0 5px 5px 0;
    background-color: yellow;
}

.aa select {
    width: 65%;
    border: none;
    outline: none;
    padding: 5px;
    font-size: 10px;
}

.aa select option {
    border-radius: 0 5px 5px 0;
}

.btndiv input:focus {
    background: linear-gradient(45deg, white, var(--main-color));
}

.border {
    border: 1px solid black;
    border-radius: 3px;
    padding: 3px 3px 1px 3px;
    margin-bottom: 1px;
}

.error {
    position: relative;
    text-align: right;
    right: 30px;
    top: 5px;
}

.updown select:focus,
.aa select:focus {
    border: 1px solid blue;
    background-color: yellow;
    border-radius: 0 5px 5px 0;
    color: blue;
}

.updown select:focus {
    border-radius: 5px;
}

.btndiv {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    text-align: center;
    padding: 5px;
    height: auto;
    /* margin: auto; */
    margin-top: 10px;
}

.btndiv input {
    width: 40%;
    padding: 9px 2px;
    background: linear-gradient(135deg, var(--main-color), white);
    color: blue;
    border: 1px solid black;
    border-radius: 10px;
    margin: auto;
    margin-bottom: 10px;
    outline: none;
    font-size: 13px;
    font-weight: bold;
}

.btndiv .btnupdate {
    background: linear-gradient(45deg, var(--main-color), white, var(--main-color));
    color: red;
}

.aa button:hover,
.btnadd:hover,
.btnupdate:hover {
    cursor: pointer;
    background: linear-gradient(135deg, white, var(--main-color));
    color: white;
}

.btndiv .btndel {
    color: red;
}

.btndel:hover {
    background: linear-gradient(180deg, var(--main-color), rgb(200, 0, 0), var(--main-color));
    color: white;
}

.tablediv {
    overflow: auto;
}

table {
    margin-left: 3px;
    border-collapse: collapse;
}

table tr {
    background-color: white;
    cursor: pointer;
    border-bottom: 1px solid black;
}

table tr th {
    background-color: var(--main-color);
    color: white;
    padding: 7px 5px 2px 5px;
    text-align: center;
    font-size: 13px;
    position: sticky;
    top: 0;
    z-index: 1;
}

table tr:hover {
    background: linear-gradient(180deg, var(--main-color), white, var(--main-color));
}

.firstth {
    border-radius: 5px 0 0 0;
}

.lastth {
    border-radius: 0 5px 0 0;
}

td {
    padding: 6px 7px;
    color: blue;
    font-size: 13px;
    /* font-family:  "Oswald", sans-serif; */
    font-family: "Alan Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
}

.hidden {
    display: none;
}

#hidden {
    display: none;
}

.boxshadow {
    /* box-shadow: -3px 5px 15px 2px rgba(21, 21, 21, 0.8); */
    box-shadow: 0 0 25px rgba(14, 14, 14, 0.8);
}

/* GENERAL END */

/* LogIn Page */

form .underline {
    width: 80%;
    border-bottom: 2px solid blue;
    display: flex;
    margin: auto;
    margin-top: 30px;
    height: 30px;
    position: relative;
}

.underline i {
    width: 15%;
    font-size: 20px;
    color: blue;
}

.underline input {
    width: 85%;
    border: none;
    outline: none;
    background-color: rgba(255, 255, 255, 0.0);
    font-size: 15px;
}

form .underline p {
    position: absolute;
    right: 5px;
    top: -15px;
    text-align: right;
}

.underline input:focus {
    background-color: rgba(255, 255, 255, 0.0);
}


.signupdiv {
    width: 100%;
    height: 30px;
}

.signupdiv p a {
    color: whitesmoke;
    padding: 5px;
}

.signupdiv p a:hover {
    color: blue;
}

.btnlogin:hover {
    background-color: yellow;
    color: black;
    cursor: pointer;
}

.icon i {
    padding: 5px 10px;
    font-size: 20px;
    color: blue;
}

/* Parent Page */
.navigation {
    width: 100%;
    display: flex;
    background-color: var(--main-color);
    position: sticky;
    top: 0px;
    z-index: 2;
}

/* .navigation > div, */
.atag,
.header {
    width: 60%;
    display: flex;
    align-items: center;
    color: white;
}

.header {
    width: 40%;
    text-align: center;
    justify-content: space-around;
}

/* Welcome Page */
.weldiv {
    background-image: url(photo/wallpaper.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 10px;
    width: 100%;
    height: 92vh;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.text {
    padding: 10px 1px;
    width: 500px;
    text-align: center;
    height: 80%;
    border-radius: 10px;
    border: 1px solid white;
}

.formdiv,
.countryform {
    width: 300px;
    padding: 10px;
    border: 1px solid white;
    border-radius: 10px;
    height: 260px;
}

.weldiv .formdiv {
    height: 500px;
}

.showdiv {
    width: 400px;
    border: 1px solid whitesmoke;
    height: 80%;
    border-radius: 10px;
    padding: 10px;
    /* margin: 5px 0; */
}

/* AccountPage */

.accmaindiv {
    width: 98%;
    height: 90vh;
    background: linear-gradient(360deg, white, var(--main-color));
    margin: auto;
    margin-top: 2px;
    border-radius: 10px;
    display: flex;
    justify-content: space-around;
}

.accform {
    width: 24%;
    height: 350px;
    padding: 5px;
    border: 1px solid black;
    margin: 10px 5px;
    border-radius: 5px;
}

.acctable {
    width: 75.5%;
    /* height: 90vh; */
    overflow: auto;
    padding: 5px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.general {
    width: auto;
    padding: 2px;
}

/* customerPage */
.curegform form {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

form .regone {
    width: 24%;
    margin: 5px 1px;
    border: 1px solid white;
    border-radius: 5px;
    padding: 10px 3px;
}

.curegtable {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.cutbone,
.cutbtwo {
    width: 49.5%;
    height: 70vh;
    overflow: auto;
}

.regbody {
    height: 92vh;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 5px;
    overflow: hidden;
}

.regform {
    width: 24%;
    border-radius: 10px;
    overflow: hidden;
    height: 430px;
    border: 1px solid black;
    padding: 1px;
    background: linear-gradient(135deg, white, var(--main-color));
}

.reglist {
    width: 76%;
    height: 91vh;
    overflow: auto;
    display: flex;
    flex-wrap: wrap;
    padding: 3px;
}

.reglist form {
    width: 230px;
}


/* WaveAgent */

.wavemain {
    width: 100%;
    display: flex;
    height: 92vh;
    padding: 1px;
}

.wavemain .wleft {
    width: 40%;
    background: linear-gradient(45deg, white, gray);
    border: 1px solid black;
    border-radius: 5px;
    padding: 3px;
}

.wleft form {
    width: 100%;
    display: flex;
    justify-content: space-between;
    height: 90%;
}

.wleft form .customer,
.wleft form .formdata {
    width: 50%;
    padding: 3px;
    margin-left: 1px;
}

.customer .receiver,
.customer .sender {
    border: 1px solid white;
    padding: 3px;
    margin-bottom: 10px;
    border-radius: 5px;
    background: linear-gradient(45deg, var(--main-color), white);
    box-shadow: -3px 5px 15px 2px rgba(21, 21, 21, 0.8);
}

form div label {
    font-size: 9px;
}

.purcsale {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
}

.purcsale input {
    width: 29%;
    border: 1px solid black;
    border-radius: 3px;
    padding: 5px;
    text-align: right;
    color: blue;
    outline: none;
    font-size: 14px;
}

.purcsale input:focus {
    outline: none;
    /* border: 3px solid blue; */
    border-radius: 3px;
    background-color: whitesmoke;
    color: blue;
}

.purcsale .unit {
    width: 40%;
    color: red;
}

.iddate {
    display: flex;
    justify-content: space-between;
}

.iddate input {
    outline: none;
    padding: 5px;
    margin-left: 1px;
    font-size: 10px;
    width: 60%;
    border: 1px solid rgb(0, 0, 150);
    border-radius: 5px;
    text-align: center;
}

.iddate input:first-child {
    width: 33%;
}

.textimg {
    width: 100%;
    display: flex;
    align-items: center;
}

.textimg .textdiv {
    display: flex;
    flex-direction: column;
    width: 70%;
    align-items: center;
    text-align: center;
    align-content: center;
}

.textimg .imgdiv {
    width: 30%;
    height: auto;
    margin-bottom: 3px;
}

.iddate #wdate, #bdate {
    width: 65%;
}

#wscard {
    background-color: Red;
    font-size: 12px;
    font-weight: bold;
}

.cudata h4 {
    font-size: 16px;
    color: blue;
    text-align: center;
}

.updown p {
    padding: 3px;
    margin-bottom: 5px;
}

#inlabel {
    margin-left: 10px;
    padding: 0 5px;
    color: rgb(150, 0, 0);
    background-color: whitesmoke;
    border-radius: 2px;
    position: absolute;
    top: -8px;
    left: 30px;
    text-align: center;
    width: auto;
    font-size: 11px;
    margin: auto;
}

.formdiv .iddate label {
    width: 25%;
    background-color: rgb(0, 0, 150);
    border-radius: 5px;
    color: whitesmoke;
    text-align: right;
    padding: 5px 10px;
}

.iddate input:last-child {
    width: 20%;
}

.wleft .formdiv form .btndiv,
.tleft .formdiv form .btndiv {
    height: 60px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

.nextbtn {
    width: 90%;
    margin: auto;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    /* border:1px solid black; */
}

.nextbtn a {
    text-decoration: none;
    font-size: 12px;
    padding: 4px 8px;
}

.nextbtn .whistory {
    background-color: var(--main-color);
    color: white;
    border-radius: 3px;
    border: 1px solid black;
}

.nextbtn .whistory:hover {
    background: linear-gradient(135deg, white, rgba(14, 14, 14, 0.7));
    color: blue;
}

.wavemain .wright {
    width: 60%;
    height: 92vh;
    overflow: auto;
}

#wavetb {
    width: 1800px;
}

.lright {
    display: flex;
    justify-content: space-between;
    margin-bottom: 2px;
}

.drop {
    position: relative;
    border: 1px solid var(--main-color);
    border-radius: 5px;
    width: 60px;
    background-color: white;
    margin-bottom: 4px;
    text-align: center;
    opacity: 1;
    visibility: visible;
}

.exdata {
    width: 246px;
    height: auto;
    border: 1px solid black;
    border-radius: 5px;
    padding: 2px 5px;
    margin: 1px;
}

.drop>.exdata {
    position: absolute;
    left: -58px;
    border: 1px solid black;
    background-color: white;
    border-radius: 5px;
    z-index: 1;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s;
}

.drop:hover .exdata {
    opacity: 1;
    visibility: visible;
}

.drop i {
    padding: 7px 10px;
    display: inline-block;
    color: var(--main-color);
}

.drop.force-show .exdata {
    opacity: 1;
    visibility: visible;
}

.editprint {
    display: flex;
    justify-content: space-around;
    margin-bottom: 3px;
}

.editprint input {
    font-size: 10px;
    padding: 5px 9px;
    background-color: var(--main-color);
    color: white;
    outline: none;
    border: 1px solid black;
    border-radius: 5px;
}

/* WaveHistory */

.whistorydiv {
    width: 100%;
    height: 92vh;
    padding: 2px 5px;
    background: linear-gradient(45deg, white, var(--main-color));
    justify-content: space-between;
    flex-wrap: wrap;
}

.whform {
    width: 18%;
    overflow: hidden;
}

.voctext {
    border: 1px solid black;
    border-radius: 5px;
    padding: 5px;
    background: linear-gradient(135deg, var(--main-color), white);
    margin-top: 5px;
}

.updown label {
    color: black;
    margin-left: 10px;
    font-size: 12px;
}

.voctext p {
    padding: 3px 0;

}

.whtablediv {
    width: 81.5%;
    height: 91vh;
    overflow: auto;
}

.whtable {
    width: 1200px;
}

/* purchase */
.exright {
    width: 60%;
    overflow: auto;
    padding: 1px;
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    height: 91.5vh;
}

/* CashBook */
.cbformtb {
    width: 100%;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 1px;
}

.cbform {
    width: 24%;
    padding: 10px 5px;
    border: 1px solid white;
    border-radius: 5px;
    box-shadow: 5px 5px 15px 2px rgba(30, 30, 30, 0.7);
    height: 400px;
}

.cbtable {
    width: 72%;
    overflow: auto;
    padding: 2px;
    height: 84vh;
}

/* Report */
.rpmain {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 1px;
}

.contain:first-child {
    width: 20%;
    margin-top: 10px;
}

.contain {
    width: 39%;
}

/* Media Query */
@media only screen and (max-width: 900px) {
    #body {
        height: 100%;
    }

    .aa {
        height: 35px;
    }

    .navigation {
        flex-direction: column-reverse;
    }

    .navigation .header,
    .navigation .atag {
        width: 100%;
        /* justify-content: space-around; */
        flex-wrap: wrap;
    }

    /* Welcome */
    .weldiv {
        padding: 1px;
        height: auto;
    }

    .weldiv div {
        height: auto;
        margin-top: 5px;
    }

    /* AccountPage */
    .accmaindiv .accform,
    .accmaindiv .acctable {
        width: 50%;
    }

    .acctable .general {
        width: 99%;
    }

    /* WAgent */
    .wavemain {
        flex-wrap: wrap;
    }

    .wavemain .wleft,
    .wavemain .wright {
        width: 100%;
        margin-bottom: 3px;
    }

    .wleft>form {
        margin-bottom: 15px;
    }

    /* WaveHistory */
    .whform {
        width: 35%;
    }

    .whtablediv {
        width: 65%;
    }

    /* Purchase */
    .exright {
        width: 100%;
        justify-content: space-around;
    }

    .exdata {
        width: 300px;
    }

    /* Customer */
    form .regone {
        width: 49%;
    }

    .cutbone,
    .cutbtwo {
        width: 100%;
        height: auto;
        margin-bottom: 5px;
    }

    /* Cashbook */

    .cbform {
        width: 45%;
    }

    .cbtable {
        width: 55%;
    }

    /* Report */
    .contain:first-child {
        width: 40%;
    }

    .contain {
        width: 60%;
    }

    /* Register */
    .regform, .reglist {
        width: 50%;
    }
}

@media only screen and (max-width: 600px) {

    form .aa {
        height: 40px;
    }

    /* Parent */
    .header h6 {
        display: none;
    }

    .header .atag {
        width: 400px;
        display: flex;
        flex-wrap: wrap;
    }

    /* WelcomePage */
    .weldiv {
        padding: 1px;
        height: auto;
    }

    .weldiv>div {
        width: 100%;
        height: auto;
        padding: 5px 0;
        margin-top: 5px;
    }


    /* AccountPage */
    .accmaindiv {
        width: 100%;
        height: 100%;
        margin: 0;
        padding: 0;
        border-radius: 0;
        flex-wrap: wrap;
    }

    .accmaindiv .accform,
    .accmaindiv .acctable {
        width: 100%;
    }

    /* WAgent */
    .wleft .myForm {
        flex-wrap: wrap;
        height: auto;
        margin-bottom: 5px;
    }

    .wleft form .customer,
    .wleft form .formdata {
        width: 100%;
        height: auto;
    }

    /* WaveHistory */
    .whistorydiv {
        height: auto;
        margin: 0;
        padding: 0;
    }

    .whform {
        width: 100%;
        margin-bottom: 5px;
        border-radius: 0;
    }

    .whtablediv {
        width: 100%;
        height: auto;
    }

    /* Customer */
    form .regone {
        width: 100%;
    }

    /* Cashbook */
    .cbform {
        width: 100%;
        height: auto;
        margin-bottom: 5px;
    }

    .cbtable {
        width: 100%;
    }

    /* Report */
    .over {
        height: auto;
    }

    .rpmain .contain {
        width: 100%;
    }

    /* Register */
    .regbody {
        height: auto;
    }

    .regform, .reglist {
        width: 100%;
        margin-bottom: 3px;
    }

    .reglist {
        height: auto;
        justify-content: space-evenly;
    }

    .reglist form {
        width: 99%;
    }
}
